aboutsummaryrefslogtreecommitdiffstats
path: root/update-data.sh
diff options
context:
space:
mode:
authorCristian Maureira-Fredes <Cristian.Maureira-Fredes@qt.io>2021-03-29 14:36:33 +0200
committerJukka Jokiniva <jukka.jokiniva@qt.io>2021-04-08 12:25:54 +0000
commitaac3984217f993d1e62a8eab8e1e86b05cdaf664 (patch)
tree01c0f630df921c803f19056dad7143d488ee0fd2 /update-data.sh
parent37127e0ad7c06af958b013731fe91e65cfe16860 (diff)
Initial version of the site
* Including a README that explains how to setup the project. * Adding `Procfile` to be compatible with gunicorn. * Adding a `runtime.txt` to select the Python version on heroku. * Include initial version of the text-content for "contribute", and "guidelines" * Adding box to provide a shortcut to the QUIPS * Add `requirements.txt` * Including a script to locally clone and generate the data for the dashboard. * Including script to generate the CSV files based on the content of the qt repositories. Change-Id: I8b5e5a581d7f247ead16c031adc7243ba023018f Reviewed-by: Lars Knoll <lars.knoll@qt.io> Reviewed-by: Tuukka Turunen <tuukka.turunen@qt.io>
Diffstat (limited to 'update-data.sh')
-rw-r--r--update-data.sh47
1 files changed, 47 insertions, 0 deletions
diff --git a/update-data.sh b/update-data.sh
new file mode 100644
index 0000000..468d531
--- /dev/null
+++ b/update-data.sh
@@ -0,0 +1,47 @@
+# Copyright (C) 2021 The Qt Company Ltd.
+# Contact: https://www.qt.io/licensing/
+#
+# You may use this file under the terms of the CC0 license.
+# See the file LICENSE.CC0 from this package for details.
+
+
+# For local testing with new data
+
+# Approach to use Git
+# If the repository doesn't exist, clone it
+if [[ ! -d qt5 ]];then
+ git clone https://code.qt.io/qt/qt5.git || echo "Error cloning 'qt5'"
+fi
+
+# Enter the repository
+cd qt5
+
+## Clone qt-creator if it doesn't exist
+#if [[ ! -d qt-creator ]];then
+# git clone http://code.qt.io/cgit/qt-creator/qt-creator.git || echo "Error cloning 'qt-creator'"
+#fi
+
+# Clone pyside-setup if it doesn't exist
+if [[ ! -d pyside-setup ]];then
+ git clone https://code.qt.io/pyside/pyside-setup || echo "Error cloning 'pyside-setup'"
+fi
+
+# General update of all the submodules
+git pull -r
+git submodule foreach "(git co dev || git co master)"
+git submodule foreach git pull --rebase
+git submodule update --init -f
+
+## Update 'qt-creator'
+#cd qt-creator
+#git pull -r
+#cd ..
+
+# Update 'pyside-setup'
+cd pyside-setup
+git pull -r
+cd ..
+
+# Generate CSV files
+cd ../data
+python get_data.py --qt ../qt5